<?php

/*
============================================================
CMSimple Plugin CountDL
============================================================
Version:    CountDL 1.3
Released:   2024-03
Copyright:  Gert Ebersbach
Internet:   www.ge-webdesign.de
============================================================ 
utf-8 check: äöü 
*/

// based on:
/******************************************************/
/*					DL-Counter Light 1.0 			  */
/*				  Download-Counter (PHP)			  */
/*						Copyright 					  */
/*			(c) by Professor Dr. O. Lueth GmbH		  */
/*				 download latest version 			  */
/*			   www.download-counter.lueth.com	  	  */
/******************************************************/

if(isset($_POST['dataName'])){$dataName_send=$_POST['dataName'];}else{$dataName_send="";}
if(isset($_POST['year'])){$year_send=$_POST['year'];}else{$year_send='';}
$timestamp=time();
$aktuellJahr=date("Y",$timestamp);
$aktuellMonat=date("m",$timestamp);
$monatsNamen=array(
$plugin_tx['countdl']['month_jan'],
$plugin_tx['countdl']['month_feb'],
$plugin_tx['countdl']['month_mar'],
$plugin_tx['countdl']['month_apr'],
$plugin_tx['countdl']['month_may'],
$plugin_tx['countdl']['month_jun'],
$plugin_tx['countdl']['month_jul'],
$plugin_tx['countdl']['month_aug'],
$plugin_tx['countdl']['month_sep'],
$plugin_tx['countdl']['month_oct'],
$plugin_tx['countdl']['month_nov'],
$plugin_tx['countdl']['month_dec']
);
$counterMonatEinzel=array();
$counterGesamt=0;
$startJahr=2020;

if(is_dir("./content/plugins/countdl/"))
{

$verzeichnis="./userfiles/downloads/countdl/";
$verzhandle=opendir($verzeichnis);
$dateiListe=array();

while($dateiName=readdir($verzhandle))
{
	if(($dateiName!=".") && ($dateiName!=".."))
	{
		if(!(file_exists("./content/plugins/countdl/".$dateiName.$aktuellJahr.".txt")))
		{
			$dateihandle=fopen("./content/plugins/countdl/".$dateiName.$aktuellJahr.".txt", "w");
			for($i=0; $i<12; $i++)
			{
				fwrite($dateihandle, 0);
				fwrite($dateihandle, "\n");
			}
			fclose($dateihandle);
		}
	}
	$dateiListe[]=$dateiName;
}
sort($dateiListe);
foreach($dateiListe as $dateiName)
{
	if($dateiName==$dataName_send)
	{
		if((file_exists("./content/plugins/countdl/".$dateiName.$year_send.".txt")))
		{
			$counterstand=file("./content/plugins/countdl/".$dateiName.$year_send.".txt");
			for($i=0; $i<12; $i++)
			{
				$counterMonatEinzel[$i]=0;
				$counterMonatEinzel[$i]+=intval($counterstand[$i]);
				$counterGesamt+=intval($counterstand[$i]);
			}
		}
		else
		{
			if((file_exists("./content/plugins/countdl/".$dateiName.$year_send.".txt")))
			{
				$counterEinzelGesamt[$dateiAnzahlCounter]+=0;
			}
		}
	}
}
closedir($verzhandle);



// monatliche Statistik für einzelne Downloads

$o.='

<br style="clear: both;">

<h2>' . $plugin_tx['countdl']['headline_single_stats'] . '</h2>

<div id="statistik-formular">
<form action="#" method="post">
<select name="dataName" class="dlcSelect" onchange="this.form.submit()">
<option select="selected">' . $plugin_tx['countdl']['text_select_file'] . '</option>
';

	foreach($dateiListe as $dateiName)
	{
		if(($dateiName!=".") && ($dateiName!=".."))
		{
			$o.= "<option "; if($dataName_send==$dateiName) $o.= "selected "; $o.= "value=\"$dateiName\">$dateiName</option>";
		}
	}

$o.='
</select>
';

$o.='
<select name="year" class="dlcSelect" onchange="this.form.submit()">
<option select="selected">' . $plugin_tx['countdl']['text_select_year'] . '</option>
';

	for($jahr=$startJahr; $jahr<=$aktuellJahr; $jahr++)
	{
		if(file_exists('./content/plugins/countdl/' . $dataName_send . $jahr . '.txt'))
		{
			$o.= "<option "; if($year_send==$jahr) $o.= "selected "; $o.= "value=\"$jahr\">$jahr</option>\n";
		}
	}

$o.='</select>
</form>
</div>

';
//}

if($dataName_send!="" && $year_send!="" && file_exists("./content/plugins/countdl/".$dataName_send.$year_send.".txt"))
{
	for($i=0; $i<12; $i++)
	{
		$o.= '<div style="float: left; text-align: center; padding: 6px 9px 16px 0;">';
		$o.= $monatsNamen[$i] . '<br>';
		if($counterMonatEinzel[$i] > 0)
		{
			$o.= '<span style="color: #900;"><b>' . $counterMonatEinzel[$i] . '</b></span>';
		}
		else
		{
			$o.= $counterMonatEinzel[$i];
		}
		$o.= '</div>';
	}
	
	$o.= '<p style="clear: both;">' . $plugin_tx['countdl']['text_downloads'] . ' ' . $year_send . ": <b>$counterGesamt</b></p>";
}
else
{
	$o.= "<div class=\"hinweis\">";
	$o.= '<p>' . $plugin_tx['countdl']['hint_no_dl_file_year'] . '</p>';
	$o.= "</div>";
}

$o.= "<hr>";


// Tabelle

$o.= '
<h2>' . $plugin_tx['countdl']['headline_total_stats'] . '</h2>
<div style="float: left; background: #fff; border: 1px solid #aaa; padding: 6px 16px;">';

	$o.= '
<table class="download dlcTable">
<tr>
<td class="download-headlineLeft" style="min-width: 220px; border-bottom: 1px solid #aaa;">' . $plugin_tx['countdl']['text_file'] . '</td>';

	$o.= '
<td class="download-headlineRight" style="border-bottom: 1px solid #aaa;">' . $plugin_tx['countdl']['text_downloads'] . '</td>';

	$o.= '<td> </td>
</tr>
';

	foreach($dateiListe as $dlcDownload)
	{
		if(($dlcDownload!=".") && ($dlcDownload!=".."))
		{
			$o.= '
<tr>
<td class="download-file" style="border-bottom: 1px solid #aaa;">' . $dlcDownload . '</td>';

			$o.= '
<td class="download-spalte download-anzahl" style="border-bottom: 1px solid #aaa;">'; $download=$dlcDownload; include($pth['folder']['base'] . 'plugins/countdl/dlc-countAusgabe.php'); $o.= $dlcListValue; $o.= '</td>
</tr>
';

		}
	}

	$o.= '
</table>
<br>
';

$o.= '</div>';

}
else
{
	$o.= '<p><b>' . $plugin_tx['countdl']['hint_no_dl_available'] . '</b></p>';
}

?>